#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Embedded Linux Library
Summary(pl.UTF-8):	Embedded Linux Library - biblioteka osadzonego Linuksa
Name:		ell
Version:	0.37
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://www.kernel.org/pub/linux/libs/ell/%{name}-%{version}.tar.xz
# Source0-md5:	7f71f179519c9fdec3d0551b225caf1b
URL:		https://git.kernel.org/pub/scm/libs/ell/ell.git/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.2
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Embedded Linux Library.

%description -l pl.UTF-8
Embedded Linux Library - biblioteka osadzonego Linuksa.

%package devel
Summary:	Header files for ELL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ELL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for ELL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ELL.

%package static
Summary:	Static ELL library
Summary(pl.UTF-8):	Statyczna biblioteka ELL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ELL library.

%description static -l pl.UTF-8
Statyczna biblioteka ELL.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I build-aux
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-pie \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libell.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libell.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libell.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libell.so
%{_includedir}/ell
%{_pkgconfigdir}/ell.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libell.a
%endif
%changelog
* Wed Feb 10 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ell.git;a=log;h=master

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 7efcd6a
- up to 0.37

* Fri Jan 08 2021 Jan Palus <atler@pld-linux.org> e85933c
- up to 0.36

* Mon Dec 07 2020 Jan Palus <atler@pld-linux.org> af40e72
- up to 0.35

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 31a45fd
- updated to 0.33

* Thu Jun 18 2020 Jan Palus <atler@pld-linux.org> 260fc46
- up to 0.32

* Wed Apr 15 2020 Jan Palus <atler@pld-linux.org> 3df8b44
- up to 0.31

* Wed Mar 25 2020 Jan Palus <atler@pld-linux.org> 1d49b12
- up to 0.30

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> f93b500
- up to 0.28

* Fri Dec 13 2019 Jan Palus <atler@pld-linux.org> b0894a7
- up to 0.27

* Wed Oct 30 2019 Jan Palus <atler@pld-linux.org> 6c83ffb
- up to 0.26

* Thu Oct 24 2019 Jan Palus <atler@pld-linux.org> a5750a0
- up to 0.25

* Mon Oct 14 2019 Jan Palus <atler@pld-linux.org> a9d5389
- up to 0.24

* Wed Sep 18 2019 Jan Palus <atler@pld-linux.org> b9cbe8e
- up to 0.23

* Wed Aug 28 2019 Jan Palus <atler@pld-linux.org> 4e88a06
- up to 0.22

* Mon Aug 05 2019 Jan Palus <atler@pld-linux.org> 8cbf409
- up to 0.21

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> d32431b
- up to 0.20

* Sat Apr 13 2019 Jan Palus <atler@pld-linux.org> feb8f49
- up to 0.19

* Wed Apr 03 2019 Jan Palus <atler@pld-linux.org> 9155dc0
- up to 0.18

* Tue Jan 15 2019 Jan Palus <atler@pld-linux.org> c46c01b
- up to 0.17

* Tue Dec 11 2018 Jan Palus <atler@pld-linux.org> 7bc231a
- up to 0.16

